net.minecraft.client.audio

## Class SoundList.SoundEntry

- java.lang.Object
- - net.minecraft.client.audio.SoundList.SoundEntry

- Enclosing class:
    SoundList

      public static class SoundList.SoundEntry
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SoundList.SoundEntry.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundList.SoundEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSoundEntryName()`
    `float` | `getSoundEntryPitch()`
    `SoundList.SoundEntry.Type` | `getSoundEntryType()`
    `float` | `getSoundEntryVolume()`
    `int` | `getSoundEntryWeight()`
    `boolean` | `isStreaming()`
    `void` | `setSoundEntryName(java.lang.String p_148561_1_)`
    `void` | `setSoundEntryPitch(float p_148559_1_)`
    `void` | `setSoundEntryType(SoundList.SoundEntry.Type p_148562_1_)`
    `void` | `setSoundEntryVolume(float p_148553_1_)`
    `void` | `setSoundEntryWeight(int p_148554_1_)`
    `void` | `setStreaming(boolean p_148557_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoundList.SoundEntry

          public SoundList.SoundEntry()

  - ### Method Detail

    - #### getSoundEntryName

          public java.lang.String getSoundEntryName()

    - #### setSoundEntryName

          public void setSoundEntryName(java.lang.String p_148561_1_)

    - #### getSoundEntryVolume

          public float getSoundEntryVolume()

    - #### setSoundEntryVolume

          public void setSoundEntryVolume(float p_148553_1_)

    - #### getSoundEntryPitch

          public float getSoundEntryPitch()

    - #### setSoundEntryPitch

          public void setSoundEntryPitch(float p_148559_1_)

    - #### getSoundEntryWeight

          public int getSoundEntryWeight()

    - #### setSoundEntryWeight

          public void setSoundEntryWeight(int p_148554_1_)

    - #### getSoundEntryType

          public SoundList.SoundEntry.Type getSoundEntryType()

    - #### setSoundEntryType

          public void setSoundEntryType(SoundList.SoundEntry.Type p_148562_1_)

    - #### isStreaming

          public boolean isStreaming()

    - #### setStreaming

          public void setStreaming(boolean p_148557_1_)